Page MenuHomePhabricator

rhg: add rhg crate
ClosedPublic

Authored by acezar on Jun 5 2020, 10:31 AM.

Details

Summary

The goal of rhg is to speedup some of hg's commands when possible by bypassing
python entirely for the time being.
It is by no means a replacement for hg as it will not support extentions or
configuration and implement only a subset of hg's commands and options.
Only use rhg if you understand what the tradeoffs are.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

acezar created this revision.Jun 5 2020, 10:31 AM
marmoute accepted this revision.Jun 9 2020, 5:18 AM
Alphare accepted this revision.Jun 15 2020, 5:32 AM
acezar updated this revision to Diff 21645.Jun 16 2020, 12:20 PM
This revision was not accepted when it landed; it landed in state Needs Review.
Closed by commit rHGcf04f62d1579: rhg: add rhg crate (authored by acezar). · Explain Why
This revision was automatically updated to reflect the committed changes.
acezar updated this revision to Diff 21655.Jun 17 2020, 4:25 AM